Package com.orchestranetworks.dataservices.rest

# Interface Constants.Meta

Enclosing interface:
  Constants

public static interface Constants.Meta
Meta keys and parameters.

See Also:
  - Extended metadata

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_ASSOCIATION`
  `static final String`
  `KEY_ASSOCIATION_DATASET`
  `static final String`
  `KEY_ASSOCIATION_DATASPACE`
  `static final String`
  `KEY_ASSOCIATION_DETAILS`
  `static final String`
  `KEY_ASSOCIATION_FIELD_TO_SOURCE`
  `static final String`
  `KEY_ASSOCIATION_FIELD_TO_TARGET`
  `static final String`
  `KEY_ASSOCIATION_FILTER`
  `static final String`
  `KEY_ASSOCIATION_LINK_TABLE_PATH`
  `static final String`
  `KEY_ASSOCIATION_TABLE_PATH`
  `static final String`
  `KEY_ASSOCIATION_TYPE`
  `static final String`
  `KEY_ASSOCIATION_XPATH_LINK_PREDICATE`
  `static final String`
  `KEY_AUTO_INCREMENT`
  `static final String`
  `KEY_BUSINESS_OBJECT_RELATION`
  `static final String`
  `KEY_CHECK_NULL_INPUT`
  `static final String`
  `KEY_CONSTRAINTS`
  `static final String`
  `KEY_DESCRIPTION`
  `static final String`
  `KEY_ENUMERATION`
  `static final String`
  `KEY_ENUMERATION_DEP_DATASET`
  `static final String`
  `KEY_ENUMERATION_DEP_DATASPACE`
  `static final String`
  `KEY_ENUMERATION_DEP_DETAILS`
  `static final String`
  `KEY_ENUMERATION_DEP_LOCAL_MODIFY`
  `static final String`
  `KEY_ENUMERATION_DEP_TARGET_PATH`
  `static final String`
  `KEY_ENUMERATION_DEPENDENCIES`
  `static final String`
  `KEY_FIELDS`
  `static final String`
  `KEY_FILTERABLE`
  `static final String`
  `KEY_FOREIGN_KEY`
  `static final String`
  `KEY_FOREIGN_KEY_DATASET`
  `static final String`
  `KEY_FOREIGN_KEY_DATASPACE`
  `static final String`
  `KEY_FOREIGN_KEY_DETAILS`
  `static final String`
  `KEY_FOREIGN_KEY_HISTORY_DETAILS`
  `static final String`
  `KEY_FOREIGN_KEY_TABLE_PATH`
  `static final String`
  `KEY_HIDDEN_FILTER_POLICY`
  `static final String`
  `KEY_HISTORY`
  `static final String`
  `KEY_HISTORY_OPERATION_CODE_PATH_IN_RECORD`
  `static final String`
  `KEY_INA`
  `static final String`
  `KEY_INA_SOURCE_NODE`
  `static final String`
  `KEY_INA_SOURCE_RECORD`
  `static final String`
  `KEY_INHERITANCE`
  `static final String`
  `KEY_LABEL`
  `static final String`
  `KEY_LINKED_FIELD`
  `static final String`
  `KEY_LINKED_FIELD_DETAILS`
  `static final String`
  `KEY_LINKED_FIELD_PATH`
  `static final String`
  `KEY_LINKED_FIELD_RELATIONSHIP_FIELD`
  `static final String`
  `KEY_LINKED_FIELD_TABLE_PATH`
  `static final String`
  `KEY_MAX_OCCURS`
  `static final String`
  `KEY_META`
  `static final String`
  `KEY_MIN_OCCURS`
  `static final String`
  `KEY_NAME`
  `static final String`
  `KEY_PATH_IN_DATASET`
  `static final String`
  `KEY_PATH_IN_RECORD`
  `static final String`
  `KEY_PRIMARY_KEYS`
  `static final String`
  `KEY_READ_ONLY`
  `static final String`
  `KEY_SORTABLE`
  `static final String`
  `KEY_TYPE`
  `static final String`
  `KEY_VALUE_FUNCTION`
  `static final String`
  `PARAM_INCLUDE_META`
  Deprecated.
  since 6.1.0, replaced by `PARAM_INCLUDE_METAMODEL`.
  `static final String`
  `PARAM_INCLUDE_METAMODEL`
  `static final String`
  `VALUE_ASSOCIATION_TYPE_LINK_TABLE`
  `static final String`
  `VALUE_ASSOCIATION_TYPE_TABLE_REF_INVERSE`
  `static final String`
  `VALUE_ASSOCIATION_TYPE_XPATH_LINK`
  `static final String`
  `VALUE_ENUMERATION_DYNAMIC`
  `static final String`
  `VALUE_ENUMERATION_FOREIGN_KEY`
  `static final String`
  `VALUE_ENUMERATION_NOMENCLATURE`
  `static final String`
  `VALUE_ENUMERATION_PROGRAMMATIC`
  `static final String`
  `VALUE_ENUMERATION_RESOURCE`
  `static final String`
  `VALUE_ENUMERATION_STATIC`
  `static final String`
  `VALUE_MAX_OCCURS_UNBOUNDED`

- ## Field Details

  - ### PARAM_INCLUDE_META

    @Deprecated static final String PARAM_INCLUDE_META
    Deprecated.
    since 6.1.0, replaced by `PARAM_INCLUDE_METAMODEL`.
    See Also:
      - Constant Field Values

  - ### PARAM_INCLUDE_METAMODEL

    static final String PARAM_INCLUDE_METAMODEL
    Since:
      6.1.0
    See Also:
      - Select `includeMetamodel` query parameter
      - Prepare `includeMetamodel` query parameter
      - Constant Field Values

  - ### KEY_META

    static final String KEY_META
    See Also:
      - `meta` extended JSON property
      - Constant Field Values

  - ### KEY_NAME

    static final String KEY_NAME
    See Also:
      - Table `name` extended JSON property
      - Field `name` extended JSON property
      - Constant Field Values

  - ### KEY_LABEL

    static final String KEY_LABEL
    See Also:
      - Table `label` extended JSON property
      - Node `label` extended JSON property
      - Constant Field Values

  - ### KEY_BUSINESS_OBJECT_RELATION

    static final String KEY_BUSINESS_OBJECT_RELATION
    Since:
      6.1.3
    See Also:
      - Field `isBusinessObjectRelation` extended JSON property
      - Constant Field Values

  - ### KEY_DESCRIPTION

    static final String KEY_DESCRIPTION
    See Also:
      - Table `description` extended JSON property
      - Field `description` extended JSON property
      - Constant Field Values

  - ### KEY_TYPE

    static final String KEY_TYPE
    See Also:
      - Table `type` extended JSON property
      - Field `type` extended JSON property
      - Constant Field Values

  - ### KEY_MIN_OCCURS

    static final String KEY_MIN_OCCURS
    See Also:
      - Table `minOccurs` extended JSON property
      - Field `minOccurs` extended JSON property
      - Constant Field Values

  - ### KEY_MAX_OCCURS

    static final String KEY_MAX_OCCURS
    See Also:
      - Table `maxOccurs` extended JSON property
      - Field `maxOccurs` extended JSON property
      - Constant Field Values

  - ### VALUE_MAX_OCCURS_UNBOUNDED

    static final String VALUE_MAX_OCCURS_UNBOUNDED
    See Also:
      - Table `maxOccurs` `Unbounded` extended JSON value
      - Field `maxOccurs` `Unbounded` extended JSON value
      - Constant Field Values

  - ### KEY_PRIMARY_KEYS

    static final String KEY_PRIMARY_KEYS
    See Also:
      - `primaryKeyFields` extended JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY

    static final String KEY_FOREIGN_KEY
    See Also:
      - `foreignKey` extended JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY_TABLE_PATH

    static final String KEY_FOREIGN_KEY_TABLE_PATH
    See Also:
      - `tablePath` extended JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY_DATASET

    static final String KEY_FOREIGN_KEY_DATASET
    See Also:
      - `dataset` extended JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY_DATASPACE

    static final String KEY_FOREIGN_KEY_DATASPACE
    See Also:
      - `dataspace` extended JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY_DETAILS

    static final String KEY_FOREIGN_KEY_DETAILS
    See Also:
      - `details` extended JSON property
      - Constant Field Values

  - ### KEY_FOREIGN_KEY_HISTORY_DETAILS

    static final String KEY_FOREIGN_KEY_HISTORY_DETAILS
    Since:
      5.8.0
    See Also:
      - `historyDetails` extended JSON property
      - Constant Field Values

  - ### KEY_VALUE_FUNCTION

    static final String KEY_VALUE_FUNCTION
    See Also:
      - `valueFunction` extended JSON property
      - Constant Field Values

  - ### KEY_LINKED_FIELD

    static final String KEY_LINKED_FIELD
    Since:
      6.0.0
    See Also:
      - `linkedField` extended JSON property
      - Constant Field Values

  - ### KEY_LINKED_FIELD_RELATIONSHIP_FIELD

    static final String KEY_LINKED_FIELD_RELATIONSHIP_FIELD
    Since:
      6.0.0
    See Also:
      - `relationshipField` extended JSON property
      - `KEY_LINKED_FIELD`
      - Constant Field Values

  - ### KEY_LINKED_FIELD_TABLE_PATH

    static final String KEY_LINKED_FIELD_TABLE_PATH
    Since:
      6.0.0
    See Also:
      - `tablePath` extended JSON property
      - `KEY_LINKED_FIELD`
      - Constant Field Values

  - ### KEY_LINKED_FIELD_PATH

    static final String KEY_LINKED_FIELD_PATH
    Since:
      6.0.0
    See Also:
      - `linkedFieldPath` extended JSON property
      - `KEY_LINKED_FIELD`
      - Constant Field Values

  - ### KEY_LINKED_FIELD_DETAILS

    static final String KEY_LINKED_FIELD_DETAILS
    Since:
      6.0.0
    See Also:
      - `details` extended JSON property
      - `KEY_LINKED_FIELD`
      - Constant Field Values

  - ### KEY_ENUMERATION

    static final String KEY_ENUMERATION
    See Also:
      - `enumeration` extended JSON property
      - Constant Field Values

  - ### VALUE_ENUMERATION_DYNAMIC

    static final String VALUE_ENUMERATION_DYNAMIC
    See Also:
      - `enumeration` `dynamic` extended JSON value
      - Constant Field Values

  - ### VALUE_ENUMERATION_FOREIGN_KEY

    static final String VALUE_ENUMERATION_FOREIGN_KEY
    See Also:
      - `enumeration` `foreignKey` extended JSON value
      - Constant Field Values

  - ### VALUE_ENUMERATION_NOMENCLATURE

    static final String VALUE_ENUMERATION_NOMENCLATURE
    See Also:
      - `enumeration` `nomenclature` extended JSON value
      - Constant Field Values

  - ### VALUE_ENUMERATION_PROGRAMMATIC

    static final String VALUE_ENUMERATION_PROGRAMMATIC
    See Also:
      - `enumeration` `programmatic` extended JSON value
      - Constant Field Values

  - ### VALUE_ENUMERATION_RESOURCE

    static final String VALUE_ENUMERATION_RESOURCE
    See Also:
      - `enumeration` `resource` extended JSON value
      - Constant Field Values

  - ### VALUE_ENUMERATION_STATIC

    static final String VALUE_ENUMERATION_STATIC
    See Also:
      - `enumeration` `static` extended JSON value
      - Constant Field Values

  - ### KEY_ENUMERATION_DEPENDENCIES

    static final String KEY_ENUMERATION_DEPENDENCIES
    Since:
      6.0.0
    See Also:
      - `enumerationDependencies` extended JSON property
      - Constant Field Values

  - ### KEY_ENUMERATION_DEP_LOCAL_MODIFY

    static final String KEY_ENUMERATION_DEP_LOCAL_MODIFY
    Since:
      6.0.0
    See Also:
      - `localModify` extended JSON property
      - Constant Field Values

  - ### KEY_ENUMERATION_DEP_TARGET_PATH

    static final String KEY_ENUMERATION_DEP_TARGET_PATH
    Since:
      6.0.0
    See Also:
      - `targetPath` extended JSON property
      - Constant Field Values

  - ### KEY_ENUMERATION_DEP_DATASPACE

    static final String KEY_ENUMERATION_DEP_DATASPACE
    Since:
      6.0.0
    See Also:
      - `dataspace` extended JSON property
      - Constant Field Values

  - ### KEY_ENUMERATION_DEP_DATASET

    static final String KEY_ENUMERATION_DEP_DATASET
    Since:
      6.0.0
    See Also:
      - `dataset` extended JSON property
      - Constant Field Values

  - ### KEY_ENUMERATION_DEP_DETAILS

    static final String KEY_ENUMERATION_DEP_DETAILS
    Since:
      6.0.0
    See Also:
      - `details` extended JSON property
      - Constant Field Values

  - ### KEY_PATH_IN_RECORD

    static final String KEY_PATH_IN_RECORD
    Since:
      6.0.0
    See Also:
      - `pathInRecord` extended JSON property
      - Constant Field Values

  - ### KEY_FILTERABLE

    static final String KEY_FILTERABLE
    See Also:
      - `filterable` extended JSON property
      - `Constants.Data.PARAM_FILTER`
      - `KEY_HIDDEN_FILTER_POLICY`
      - Constant Field Values

  - ### KEY_HIDDEN_FILTER_POLICY

    static final String KEY_HIDDEN_FILTER_POLICY
    Since:
      6.0.0
    See Also:
      - `hiddenFilterPolicy` extended JSON property
      - `KEY_FILTERABLE`
      - Constant Field Values

  - ### KEY_SORTABLE

    static final String KEY_SORTABLE
    See Also:
      - `sortable` extended JSON property
      - `Constants.Data.PARAM_SORT`
      - `KEY_HIDDEN_FILTER_POLICY`
      - Constant Field Values

  - ### KEY_PATH_IN_DATASET

    static final String KEY_PATH_IN_DATASET
    Since:
      6.0.0
    See Also:
      - `pathInDataset` extended JSON property
      - Constant Field Values

  - ### KEY_CONSTRAINTS

    static final String KEY_CONSTRAINTS
    Since:
      6.0.0
    See Also:
      - `constraints` extended JSON property
      - Constant Field Values

  - ### KEY_FIELDS

    static final String KEY_FIELDS
    Since:
      6.0.0
    See Also:
      - `fields` extended JSON property
      - Constant Field Values

  - ### KEY_HISTORY

    static final String KEY_HISTORY
    Since:
      5.8.0
    See Also:
      - `history` extended JSON property
      - Constant Field Values

  - ### KEY_HISTORY_OPERATION_CODE_PATH_IN_RECORD

    static final String KEY_HISTORY_OPERATION_CODE_PATH_IN_RECORD
    Since:
      5.8.0
    See Also:
      - `ebx-operationCode` extended JSON property
      - Constant Field Values

  - ### KEY_INHERITANCE

    static final String KEY_INHERITANCE
    Since:
      5.8.1
    See Also:
      - `inheritance` extended JSON property
      - Constant Field Values

  - ### KEY_INA

    static final String KEY_INA
    See Also:
      - `inheritedField` extended JSON property
      - Constant Field Values

  - ### KEY_INA_SOURCE_RECORD

    static final String KEY_INA_SOURCE_RECORD
    See Also:
      - `sourceRecord` extended JSON property
      - Constant Field Values

  - ### KEY_INA_SOURCE_NODE

    static final String KEY_INA_SOURCE_NODE
    See Also:
      - `sourceNode` extended JSON property
      - Constant Field Values

  - ### KEY_READ_ONLY

    static final String KEY_READ_ONLY
    Since:
      6.0.0
    See Also:
      - `readOnly` extended JSON property
      - Constant Field Values

  - ### KEY_AUTO_INCREMENT

    static final String KEY_AUTO_INCREMENT
    Since:
      6.0.0
    See Also:
      - `autoIncrement` extended JSON property
      - Constant Field Values

  - ### KEY_CHECK_NULL_INPUT

    static final String KEY_CHECK_NULL_INPUT
    Since:
      6.0.0
    See Also:
      - `checkNullInput` extended JSON property
      - Constant Field Values

  - ### KEY_ASSOCIATION

    static final String KEY_ASSOCIATION
    Since:
      6.0.0
    See Also:
      - `association` extended JSON property
      - Constant Field Values

  - ### KEY_ASSOCIATION_DATASPACE

    static final String KEY_ASSOCIATION_DATASPACE
    Since:
      6.0.0
    See Also:
      - `dataspace` extended JSON property
      - Constant Field Values

  - ### KEY_ASSOCIATION_DATASET

    static final String KEY_ASSOCIATION_DATASET
    Since:
      6.0.0
    See Also:
      - `dataset` extended JSON property
      - Constant Field Values

  - ### KEY_ASSOCIATION_DETAILS

    static final String KEY_ASSOCIATION_DETAILS
    Since:
      6.0.0
    See Also:
      - `details` extended JSON property
      - `Constants.Data.PARAM_INCLUDE_DETAILS`
      - Constant Field Values

  - ### KEY_ASSOCIATION_FIELD_TO_SOURCE

    static final String KEY_ASSOCIATION_FIELD_TO_SOURCE
    Since:
      6.0.0
    See Also:
      - `fieldToSource` extended JSON property
      - `VALUE_ASSOCIATION_TYPE_TABLE_REF_INVERSE`
      - `VALUE_ASSOCIATION_TYPE_LINK_TABLE`
      - Constant Field Values

  - ### KEY_ASSOCIATION_FIELD_TO_TARGET

    static final String KEY_ASSOCIATION_FIELD_TO_TARGET
    Since:
      6.0.0
    See Also:
      - `fieldToTarget` extended JSON property
      - `VALUE_ASSOCIATION_TYPE_LINK_TABLE`
      - Constant Field Values

  - ### KEY_ASSOCIATION_LINK_TABLE_PATH

    static final String KEY_ASSOCIATION_LINK_TABLE_PATH
    Since:
      6.0.0
    See Also:
      - `linkTablePath` extended JSON property
      - `VALUE_ASSOCIATION_TYPE_LINK_TABLE`
      - Constant Field Values

  - ### KEY_ASSOCIATION_TABLE_PATH

    static final String KEY_ASSOCIATION_TABLE_PATH
    Since:
      6.0.0
    See Also:
      - `tablePath` extended JSON property
      - Constant Field Values

  - ### KEY_ASSOCIATION_TYPE

    static final String KEY_ASSOCIATION_TYPE
    Since:
      6.0.0
    See Also:
      - `type` extended JSON property
      - `VALUE_ASSOCIATION_TYPE_TABLE_REF_INVERSE`
      - `VALUE_ASSOCIATION_TYPE_LINK_TABLE`
      - `VALUE_ASSOCIATION_TYPE_XPATH_LINK`
      - Constant Field Values

  - ### VALUE_ASSOCIATION_TYPE_LINK_TABLE

    static final String VALUE_ASSOCIATION_TYPE_LINK_TABLE
    Since:
      6.0.0
    See Also:
      - `linkTable` extended JSON value
      - Constant Field Values

  - ### VALUE_ASSOCIATION_TYPE_TABLE_REF_INVERSE

    static final String VALUE_ASSOCIATION_TYPE_TABLE_REF_INVERSE
    Since:
      6.0.0
    See Also:
      - `tableRefInverse` extended JSON value
      - Constant Field Values

  - ### VALUE_ASSOCIATION_TYPE_XPATH_LINK

    static final String VALUE_ASSOCIATION_TYPE_XPATH_LINK
    Since:
      6.0.0
    See Also:
      - `xpathLink` extended JSON value
      - Constant Field Values

  - ### KEY_ASSOCIATION_XPATH_LINK_PREDICATE

    static final String KEY_ASSOCIATION_XPATH_LINK_PREDICATE
    Since:
      6.0.0
    See Also:
      - `predicate` extended JSON property
      - `VALUE_ASSOCIATION_TYPE_XPATH_LINK`
      - Constant Field Values

  - ### KEY_ASSOCIATION_FILTER

    static final String KEY_ASSOCIATION_FILTER
    Since:
      6.0.0
    See Also:
      - `filter` extended JSON property
      - Constant Field Values